/**
 *  psd.ivp
 */
#pragma once

#pragma pack(push,1)

namespace PSD
{
	// http://www.adobe.com/devnet-apps/photoshop/fileformatashtml/
	struct FileHeader
	{
		DWORD Signature;
		WORD  Version;
		WORD  Reserved[3];
		WORD  Channels;
		DWORD Height;
		DWORD Width;
		WORD  Depth;
		WORD  Mode;
	};
	struct ColorModeData
	{
		DWORD Length;
	};
	struct ImageResources
	{
		DWORD Length;
	};
	struct LayerAndMaskInfo
	{
		DWORD Length;
	};
	struct ImageData
	{
		WORD Compression;
	};
	enum
	{
		FILE_SIGNATURE = '8' | 'B' << 8 | 'P' << 16 | 'S' << 24,
		FILE_VERSION   = 1,
		MODE_GRAYSCALE = 1,
		MODE_INDEXED   = 2,
		MODE_RGB       = 3,
		MODE_CMYK      = 4,
	};
	enum
	{
		COMPRESSION_RAW = 0,
		COMPRESSION_RLE = 1,
	};
}

#pragma pack(pop)
